.\" Man page generated from reStructuredText.
.
.TH "PCP" "1" "Jan 03, 2021" "3.7.0" "S3QL"
.SH NAME
pcp \- Recursive, parallel copy of directory trees
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
pcp [options] <source> [<source> ...] <destination>
.ft P
.fi
.UNINDENT
.UNINDENT
.SH DESCRIPTION
.sp
The \fBpcp\fP command is a is a wrapper that starts several
\fBsync\fP processes to copy directory trees in parallel. This is
allows much better copying performance on file system that have
relatively high latency when retrieving individual files like S3QL.
.sp
\fBNote\fP: Using this program only improves performance when copying
\fIfrom\fP an S3QL file system. When copying \fIto\fP an S3QL file system,
using \fBpcp\fP is more likely to \fIdecrease\fP performance.
.SH OPTIONS
.sp
The \fBpcp\fP command accepts the following options:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.TP
.BI \-\-log \ <target>
Destination for log messages. Specify \fBnone\fP for
standard output or \fBsyslog\fP for the system logging
daemon. Anything else will be interpreted as a file
name. Log files will be rotated when they reach 1 MiB,
and at most 5 old log files will be kept. Default:
\fBNone\fP
.TP
.B \-\-quiet
be really quiet
.TP
.BI \-\-debug\-modules \ <modules>
Activate debugging output from specified modules (use
commas to separate multiple modules). Debug messages
will be written to the target specified by the
\fB\-\-log\fP option.
.TP
.B \-\-debug
Activate debugging output from all S3QL modules. Debug
messages will be written to the target specified by
the \fB\-\-log\fP option.
.TP
.B \-\-version
just print program version and exit
.TP
.B \-a
Pass \-aHAX option to rsync.
.TP
.BI \-\-processes \ <no>
Number of rsync processes to use (default: 10).
.UNINDENT
.UNINDENT
.UNINDENT
.SH EXIT CODES
.sp
\fBpcp\fP may terminate with the following exit codes:
.INDENT 0.0
.TP
.B 0
Everything went well.
.TP
.B 1
An unexpected error occured. This may indicate a bug in the
program.
.TP
.B 2
Invalid command line argument or configuration file key.
.UNINDENT
.SH SEE ALSO
.sp
\fBpcp\fP is shipped as part of S3QL, \fI\%https://github.com/s3ql/s3ql/\fP\&.
.SH COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>
.\" Generated by docutils manpage writer.
.
